/* CSS is how you can add style to your website, such as colors, fonts, and positioning of your
   HTML content. To learn how to do something, just try searching Google for questions like
   "how to change link color." */
		

  
/* --------------------  UNIT STYLES -------------------- */
h1, h2, h3 {
  text-align:center;
  }

a {
  color: #33c;
  }
  
a:visited {
  color: #226;
  }

blockquote {
  background: #dedeed;
  color: #444;
  font-style: italic;
  border-left: 2px solid #445;
  padding: 0.5em 0.5em 0.5em 1em;
  border-radius: 0 3px 3px 0;
  margin: 1em;
  }
  
center {
  text-align:center;
}

/* --------------------  TOP -------------------- */
header {
  font-family: "Cowboy Bebop", "Open Sans", sans-serif;
  background: #343434 url("/art/banner.jpg");
  background-size: stretch;
	background-attachment: fixed;
  background-position:top;
  width: 100%;
  overflow-x: hidden;
  color: white;
}

* {
  cursor: url("/media/cursor.png"), url("/media/pointer.png"), auto;
}

body {
  font-family: "Cowboy Bebop", "Open Sans", sans-serif;
  color: #232323;
  background: #343434 url("/media/notebook.png");
	background-size: cover;
	background-attachment: fixed;
  background-position:bottom;
	background-size: cover;
	padding:0;
	margin:auto;
  }


/* --------------------  CONTAINERS FOR MAJOR DIVS -------------------- */

/*Container for all major divs*/
.main {
  border: 0px solid #121212;
  position: absolute;
  width: 100%;
  margin: 1.5rem 1rem 1.5rem 1rem;
  }
  
.box {
  position: absolute;
  display: inline-block;
  padding: 10px 5px 5px 0;
  box-shadow: 3px 3px rgba(0,0,0,0.8);
  height: auto;
    resize: both;
  }

.left {
  left: 5%;
}

.left, .right {
  width: 20%;
  }

.middle {
  width: 35%;
  left: 32.25%; /*Rounds more nicely than 22.5 for some reason*/
  }
  
.right {
  right: 5%;
  }

.title-bar {
  overflow: visible;
}

.window-body {
  font-size: 1.5em;
  padding: 0.5rem;
  overflow: auto;
}

/* .title-bar {
  cursor: move;
}

.title-bar-controls {
  cursor: pointer;
} */

.window {
  position: absolute; /*Needed for drag*/
  resize: both;
}

.window img {
  object-fit: scale-down;
}


/* --------------------  BOTTOM -------------------- */
footer {
  position: fixed;
  bottom: 0;
  width: 100%;
  color: #efefef;
  font-size:0.9em;
  text-align:center;
  font-weight:bold;
  align-items: center;
  overflow-x: hidden;
}

.bottomright {
  position: fixed;
  bottom: 0;
  right: 0;
}
  
@font-face {
  font-family: "Cowboy Bebop";
  src: url('/fonts/bebop.ttf') format('truetype');
}